Skip to main content
PUT
/
public
/
v1
/
vendor-prepayment-applications
/
{record_number}
/
Update VendorPrepaymentApplication record
curl --request PUT \
  --url https://api.dualentry.com/public/v1/vendor-prepayment-applications/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "company_id": 123,
  "exchange_rate": 123,
  "memo": "<string>",
  "items": [
    {
      "bill_number": 123,
      "amount": 123,
      "position": 123,
      "id": 123
    }
  ],
  "transaction_date": "2023-12-25",
  "vendor_prepayment_number": 123,
  "vendor_credit_number": 123,
  "attachments": [],
  "record_status": "posted"
}
'
import requests

url = "https://api.dualentry.com/public/v1/vendor-prepayment-applications/{record_number}/"

payload = {
"date": "2023-12-25",
"company_id": 123,
"exchange_rate": 123,
"memo": "<string>",
"items": [
{
"bill_number": 123,
"amount": 123,
"position": 123,
"id": 123
}
],
"transaction_date": "2023-12-25",
"vendor_prepayment_number": 123,
"vendor_credit_number": 123,
"attachments": [],
"record_status": "posted"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
company_id: 123,
exchange_rate: 123,
memo: '<string>',
items: [{bill_number: 123, amount: 123, position: 123, id: 123}],
transaction_date: '2023-12-25',
vendor_prepayment_number: 123,
vendor_credit_number: 123,
attachments: [],
record_status: 'posted'
})
};

fetch('https://api.dualentry.com/public/v1/vendor-prepayment-applications/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "internal_id": 123,
  "transaction_ids": [
    123
  ],
  "number": 123,
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "vendor_id": 123,
  "vendor_name": "<string>",
  "vendor_prepayment_number": 123,
  "vendor_credit_number": 123,
  "exchange_rate": "<string>",
  "memo": "<string>",
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "amount": "<string>",
  "items": [
    {
      "amount": "<string>",
      "amount_due": "<string>",
      "position": 123,
      "bill_number": 123
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "attachments": []
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json
date
string<date>
required
company_id
integer
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
memo
string
required
items
PublicVendorPrepaymentApplicationItemIn · object[]
required
transaction_date
string<date> | null
vendor_prepayment_number
integer | null
vendor_credit_number
integer | null
attachments
AttachmentSchemaOut · object[]
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived

Response

OK

internal_id
integer
required
transaction_ids
integer[]
required
number
integer
required
company_id
integer
required
company_name
string
required
company_currency
string
required
vendor_id
integer
required
vendor_name
string
required
vendor_prepayment_number
integer | null
required
vendor_credit_number
integer | null
required
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
memo
string
required
date
string<date>
required
transaction_date
string<date>
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
items
PublicVendorPrepaymentApplicationItemOut · object[]
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

attachments
PublicAttachmentSchemaOut · object[]
Last modified on July 13, 2026